Page MenuHomePhabricator

[EPIC] There should not be significant lag before related pages appear on mobile web
Closed, ResolvedPublic

Description

I know we set a trigger to avoid loading related pages on all article loads, but the current lag is an unacceptable blocker for wider release. I don't care how we fix it, but here are some options:

  • caching/API improvements
  • make trigger for loading related pages more sensitive - as soon as user does anything, we load it?
  • create design improvement that mitigates issue. I don't think this (T122212) or the progress spinner quite cut it, but maybe something in this vein.

Here is a short gif showing the issue--it is usually much more pronounced on my phone, but I don't have good gif capture there:

Event Timeline

JKatzWMF created this task.May 11 2016, 8:30 PM
Jdlrobson added subscribers: dr0ptp4kt, StudiesWorld.
Jdlrobson added a subscriber: Jdlrobson.

Merged with more specific task T126455 which is one way of helping alleviate this issue (through use of maxage)

Jdlrobson triaged this task as Normal priority.May 16 2016, 5:19 PM
jhobs renamed this task from There is not a lag before related pages appear on mobile web to There should not be significant lag before related pages appear on mobile web.May 16 2016, 5:20 PM
dr0ptp4kt raised the priority of this task from Normal to High.Aug 10 2016, 2:35 PM
dr0ptp4kt renamed this task from There should not be significant lag before related pages appear on mobile web to [EPIC] There should not be significant lag before related pages appear on mobile web.Aug 18 2016, 8:31 PM
dr0ptp4kt edited projects, added Epic; removed Reading-Web-Sprint-80-V-for-Vandalism.
dr0ptp4kt moved this task from Product Owner Backlog to Epics/Goals on the Readers-Web-Backlog board.
ovasileva closed this task as Resolved.Nov 29 2016, 12:55 PM
ovasileva claimed this task.
ovasileva added a subscriber: ovasileva.

Resolving for now. If new lag issues occur, we can reopen or track under different epic.